
package org.mule.modules.adapters;

import org.mule.api.MuleContext;
import org.mule.api.config.MuleProperties;
import org.mule.api.context.MuleContextAware;
import org.mule.api.store.ObjectStoreManager;
import org.mule.modules.ObjectStoreModule;


/**
 * A <code>ObjectStoreModuleInjectionAdapter</code> is a wrapper around {@link ObjectStoreModule } that allows the injection of several Mule facilities when a MuleContext is set.
 * 
 */
public class ObjectStoreModuleInjectionAdapter
    extends ObjectStoreModuleLifecycleAdapter
    implements MuleContextAware
{


    @Override
    public void setMuleContext(MuleContext context) {
        super.setRegistry(context.getRegistry());
        super.setObjectStoreManager(((ObjectStoreManager) context.getRegistry().get(MuleProperties.OBJECT_STORE_MANAGER)));
    }

}
